Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class BrokenRules.BrokenRule

    java.lang.Object
      com.ejie.r01f.util.BrokenRules.BrokenRule

Enclosing class:
  BrokenRules

public class BrokenRules.BrokenRule
extends java.lang.Object

Field Summary
`java.lang.String` | `castellano`
`int` | `errorCode`
`java.lang.String` | `euskera`

Constructor Summary
`BrokenRules.BrokenRule()` Constructor vacio
`BrokenRules.BrokenRule(int newErrorCode, java.lang.String newCastellano)` Constructor a partir del codigo de error y la descripcion en castellano
`BrokenRules.BrokenRule(int newErrorCode, java.lang.String newCastellano, java.lang.String newEuskera)` Constructor a partir del codigo de error y las descripciones en castellano y euskera
`BrokenRules.BrokenRule(java.lang.String newCastellano)` Constructor a partir de la descripcion en castellano

Method Summary
`XMLNode` | `getXMLNode()` Devuelve un objeto XMLNode con la representacion XML del objeto
`java.lang.String` | `toString()` Devuelve la regla rota en formato cadena
`java.lang.String` | `toXML()` Devuelve la regla rota en formato XML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

### castellano

    public java.lang.String castellano

### euskera

    public java.lang.String euskera

Constructor Detail

### BrokenRules.BrokenRule

    public BrokenRules.BrokenRule()

  Constructor vacio

### BrokenRules.BrokenRule

    public BrokenRules.BrokenRule(java.lang.String newCastellano)

  Constructor a partir de la descripcion en castellano

### BrokenRules.BrokenRule

    public BrokenRules.BrokenRule(int newErrorCode,
                                  java.lang.String newCastellano)

  Constructor a partir del codigo de error y la descripcion en castellano

### BrokenRules.BrokenRule

    public BrokenRules.BrokenRule(int newErrorCode,
                                  java.lang.String newCastellano,
                                  java.lang.String newEuskera)

  Constructor a partir del codigo de error y las descripciones en castellano y euskera

Method Detail

### toString

    public java.lang.String toString()

  Devuelve la regla rota en formato cadena

### toXML

    public java.lang.String toXML()

  Devuelve la regla rota en formato XML

### getXMLNode

    public XMLNode getXMLNode()

  Devuelve un objeto XMLNode con la representacion XML del objeto

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD